PublicApiUpdateSignal
curl --request PATCH \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/signals/{signalId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"targets": [
{
"value": "<string>"
}
],
"dailyCreditBudget": 2500,
"enabled": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
targets: [{value: '<string>'}],
dailyCreditBudget: 2500,
enabled: true
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/signals/{signalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Signals
PublicApiUpdateSignal
PATCH /api/v1/organizations//workspaces//signals/
PATCH
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
signals
/
{signalId}
PublicApiUpdateSignal
curl --request PATCH \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/signals/{signalId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"targets": [
{
"value": "<string>"
}
],
"dailyCreditBudget": 2500,
"enabled": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
targets: [{value: '<string>'}],
dailyCreditBudget: 2500,
enabled: true
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/signals/{signalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
Legacy compatibility bearer scheme for generated consumers.
Body
application/json
Response
Successful response
The response is of type object.